com.lowagie.text

## Class Chapter

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList
      - - com.lowagie.text.Section
        - - com.lowagie.text.Chapter

- All Implemented Interfaces:
    Element, LargeElement, TextElementArray, java.io.Serializable, java.lang.Cloneable, java.lang.Iterable, java.util.Collection, java.util.List, java.util.RandomAccess
  Direct Known Subclasses:
    ChapterAutoNumber

      public class Chapter
      extends Section

  A `Chapter` is a special `Section`.

  A chapter number has to be created using a `Paragraph` as title and an `int` as chapter number. The chapter number is shown be default. If you don't want to see the chapter number, you have to set the numberdepth to 0.

  Example:

  >      Paragraph title2 = new Paragraph("This is Chapter 2", FontFactory.getFont(FontFactory.HELVETICA, 18, Font.BOLDITALIC, new Color(0, 0, 255)));
  >      Chapter chapter2 = new Chapter(title2, 2);
  >      chapter2.setNumberDepth(0);
  >      Paragraph someText = new Paragraph("This is some text");
  >      chapter2.add(someText);
  >      Paragraph title21 = new Paragraph("This is Section 1 in Chapter 2", FontFactory.getFont(FontFactory.HELVETICA, 16, Font.BOLD, new Color(255, 0, 0)));
  >      Section section1 = chapter2.addSection(title21);
  >      Paragraph someSectionText = new Paragraph("This is some silly paragraph in a chapter and/or section. It contains some text to test the functionality of Chapters and Section.");
  >      section1.add(someSectionText);

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`

    - ### Fields inherited from class com.lowagie.text.Section

      `addedCompletely, bookmarkOpen, bookmarkTitle, complete, indentation, indentationLeft, indentationRight, notAddedYet, numberDepth, numbers, numberStyle, NUMBERSTYLE_DOTTED, NUMBERSTYLE_DOTTED_WITHOUT_FINAL_DOT, subsections, title, triggerNewPage`

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

    - ### Fields inherited from interface com.lowagie.text.Element

      `ALIGN_BASELINE, ALIGN_BOTTOM, ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_JUSTIFIED_ALL, ALIGN_LEFT, ALIGN_MIDDLE, ALIGN_RIGHT, ALIGN_TOP, ALIGN_UNDEFINED, ANCHOR, ANNOTATION, AUTHOR, CCITT_BLACKIS1, CCITT_ENCODEDBYTEALIGN, CCITT_ENDOFBLOCK, CCITT_ENDOFLINE, CCITTG3_1D, CCITTG3_2D, CCITTG4, CELL, CHAPTER, CHUNK, CREATIONDATE, CREATOR, HEADER, IMGRAW, IMGTEMPLATE, JBIG2, JPEG, JPEG2000, KEYWORDS, LIST, LISTITEM, MARKED, MULTI_COLUMN_TEXT, PARAGRAPH, PHRASE, PRODUCER, PTABLE, RECTANGLE, ROW, SECTION, SUBJECT, TABLE, TITLE, YMARK`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Chapter(int number)` Constructs a new `Chapter`.
    `Chapter(Paragraph title, int number)` Constructs a new `Chapter`.
    `Chapter(java.lang.String title, int number)` Constructs a new `Chapter`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isNestable()` Checks if this element is nestable.
    `int` | `type()` Gets the type of the text element.

    - ### Methods inherited from class com.lowagie.text.Section

      `add, add, addAll, addMarkedSection, addSection, addSection, addSection, addSection, addSection, addSection, addSection, addSection, constructTitle, flushContent, getBookmarkTitle, getChunks, getDepth, getIndentation, getIndentationLeft, getIndentationRight, getNumberDepth, getNumberStyle, getTitle, isAddedCompletely, isBookmarkOpen, isChapter, isComplete, isContent, isNotAddedYet, isSection, isTriggerNewPage, newPage, process, setAddedCompletely, setBookmarkOpen, setBookmarkTitle, setChapterNumber, setComplete, setIndentation, setIndentationLeft, setIndentationRight, setNotAddedYet, setNumberDepth, setNumberStyle, setTitle, setTriggerNewPage`

    - ### Methods inherited from class java.util.ArrayList

      `addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeRange, retainAll, set, size, subList, toArray, toArray, trimToSize`

    - ### Methods inherited from class java.util.AbstractList

      `equals, hashCode`

    - ### Methods inherited from class java.util.AbstractCollection

      `containsAll, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.lowagie.text.Element

      `toString`

    - ### Methods inherited from interface java.util.List

      `containsAll, equals, hashCode`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Chapter

          public Chapter(int number)

      Constructs a new `Chapter`.
      Parameters:
        `number` - the Chapter number

    - #### Chapter

          public Chapter(Paragraph title,
                 int number)

      Constructs a new `Chapter`.
      Parameters:
        `title` - the Chapter title (as a `Paragraph`)
        `number` - the Chapter number

    - #### Chapter

          public Chapter(java.lang.String title,
                 int number)

      Constructs a new `Chapter`.
      Parameters:
        `title` - the Chapter title (as a `String`)
        `number` - the Chapter number

  - ### Method Detail

    - #### type

          public int type()

      Gets the type of the text element.
      Specified by:
        `type` in interface `Element`
      Overrides:
        `type` in class `Section`
      Returns:
        a type

    - #### isNestable

          public boolean isNestable()

      Description copied from interface: `Element`
      Checks if this element is nestable.
      Specified by:
        `isNestable` in interface `Element`
      Overrides:
        `isNestable` in class `Section`
      Returns:
        true if this element can be nested inside other elements.
      Since:
        iText 2.0.8
      See Also:
        `Element.isNestable()`